Description

Dynamic bindings to glib-2.0 for the D Programming Language.

Package Information

Version~master (2014-Jan-19)
Homepage https://github.com/PaulFreund/DerelictGlib
Repository https://github.com/PaulFreund/DerelictGlib
LicenseBSL-1.0
AuthorsPaul Freund
Registered byPaul Freund
Dependencies

derelict-util

Installation

To use this package, put the following dependency into your project's dependencies section:

dub.json
dub.sdl

Readme

DerelictGlib

Dynamic bindings to Glib2.0 version >= 2.33.12 for the D Programming Language.

For information on how to build DerelictGlib and link it with your programs, please see the post Building and Using Packages in DerelictOrg at the Derelict forums.

For information on how to load the Glib2.0 libraries via DerelictGlib, see the page DerelictUtil for Users at the DerelictUtil Wiki.

Notes

If DerelictLinkStatic is defined as version, DerelictGlib only defines the exports and can be used to statically link against glib-2.0

Available versions

~master